Skip to main content
GET
/
sender
/
orders
/
{id}
Get a v2 payment order by ID
curl --request GET \
  --url https://api.paycrest.io/v2/sender/orders/{id} \
  --header 'API-Key: <api-key>'
{
  "status": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "initiated",
    "orderType": "regular",
    "direction": "offramp",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "amount": "<string>",
    "amountInUsd": "<string>",
    "amountPaid": "<string>",
    "amountReturned": "<string>",
    "percentSettled": "<string>",
    "rate": "<string>",
    "senderFee": "<string>",
    "senderFeePercent": "<string>",
    "transactionFee": "<string>",
    "reference": "<string>",
    "txHash": "<string>",
    "providerAccount": {
      "network": "<string>",
      "receiveAddress": "<string>",
      "validUntil": "2023-11-07T05:31:56Z"
    },
    "source": {
      "type": "crypto",
      "currency": "<string>",
      "network": "ethereum",
      "refundAddress": "<string>"
    },
    "destination": {
      "type": "fiat",
      "currency": "<string>",
      "recipient": {
        "institution": "<string>",
        "accountIdentifier": "<string>",
        "accountName": "<string>",
        "memo": "<string>"
      },
      "country": "<string>",
      "providerId": "<string>"
    }
  }
}

Authorizations

API-Key
string
header
required

Path Parameters

id
string<uuid>
required

Response

V2 payment order

status
string
data
object

Response for a single order (or list item)